use leptos::*;
use crate::components::modal_box::DialogOpener;
use crate::locales::trl;
use crate::pages::new_reservations::NewReservations;
use crate::pages::today_reservations::NextReservations;

/// Renders the home page of your application.
#[component]
pub fn HomePage() -> impl IntoView {
    let app_opener = DialogOpener::new();
    let cancel_opener = DialogOpener::new();

    view! {
        <h1>{trl("Overview")}</h1>
        <div class="row mb-5">
            <div class="col-md">
                <NewReservations app_opener=app_opener cancel_opener=cancel_opener/>
            </div>
            <div class="col-md">
                <NextReservations app_opener=app_opener cancel_opener=cancel_opener/>
            </div>
        </div>
    }
}